Subject: Re: [PATCH v2 06/27] brcm80211: move under broadcom vendor directory

From: Kalle Valo <[email-masked]>
Date: Thu, 19 Nov 2015 09:54:09 +0200

Florian Fainelli <[email-masked]> writes:

> On 18/11/15 11:19, Hauke Mehrtens wrote:
>> On 11/18/2015 03:45 PM, Kalle Valo wrote:
>>> Part of reorganising wireless drivers directory and Kconfig. Note that I had to
>>> edit Makefiles from subdirectories to use the new location.
>>>
>>> Signed-off-by: Kalle Valo <[email-masked]>
>>> ---
>> 
>> I would prefer to remove the brcm80211 directory in this process and create:
>> drivers/net/wireless/broadcom/brcmfmac
>> drivers/net/wireless/broadcom/brcmsmac
>> drivers/net/wireless/broadcom/brcmutil
>> drivers/net/wireless/broadcom/include
>> 
>> This way we have one directory less.
>
> Would not that make keeping track of the previous and future history
> harder for people contributing to these drivers? I could imagine that
> for Arend and other Broadcom engineers, dealing with a simple level move
> would be manageable, but having to account for a different directory
> hierarchy could be a pain.
>
> What is the impact on compat-wireless after/before these changes by the way?

It's called backports nowadays :)

But I understood that as long as we have a separate kconfig option for
the vendor directories (CONFIG_WLAN_VENDOR_*) it should be ok. For 4.3
we didn't have that for realtek directory and that caused pain for
backports.

-- 
Kalle Valo
--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html